Subject: Re: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Stephen Berman <[email-masked]>
Date: Sun, 11 Dec 2011 17:40:37 +0100

On Sun, 11 Dec 2011 13:00:57 +0100 Jan Djärv <[email-masked]> wrote:

> 10 dec 2011 kl. 16:13 skrev Stephen Berman:
>
>> On Sat, 10 Dec 2011 14:13:25 +0100 Jan Djärv <[email-masked]> wrote:
>> 
>> I get:
>> 
>> ["-unknown-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1"
>> "DejaVu Sans
>> Mono:pixelsize=12:foundry=unknown:weight=normal:slant=normal:width=normal:spacing=100:scalable=true"
>> 12 14 0 0 0]
>> 
>>> 15 is the font height (i.e. 217 / 15 = 14.466666...).  Do you have that?
>> 
>> No, but 217/14 = 15.5, which is what image-size shows here.
>> 
>> I have DejaVu version 2.33, Freetype2 version 2.4.7, and
>> xorg-x11-libXpm-devel version 7.6.
>
> Aha!  I have freetype2 version 2.4.4, but if I install 2.4.7 I also get font
> height 14 and image height 15.5.

Thanks for checking and confirming.

> In the changelog for freetype2 there is a reference to here:
>
> http://lists.gnu.org/archive/html/freetype-devel/2011-07/msg00049.html
>
> where a change in font metrics for 2.4.6 is discussed.  Quote:
>
> "The changes result in better, more consistent line spacing.
> DejaVu got one point smaller, there is nothing wrong with
> that too."
>
> So I guess Emacs does the right thing after all.  However, we could think
> about changing the condition for showing the splash image or shrinking the
> splash image or reduce the amount of text.

I think slightly shrinking the image -- either unconditionally or
conditioned on the value of image-height? -- would be fine.  Or, as I
noted earlier, I also get the image if frame-height is 36 instead of the
current default of 35.

> Is the font you use default on Suse?  In that case the splash image won't show
> up by default on Suse.

Actually, although I reported earlier in this thread that starting the
Emacs that comes with openSUSE 12.1 (23.3) with -q also does not show
the fancy splash screen, I had neglected to remove my .Xresources
setting for Emacs, which specifies DejaVu 10 (which is actually 12pt, as
shown above); when I remove that resource, both openSUSE's Emacs 23.3
and Emacs 24 from the trunk started with -q do show the fancy splash
screen.  This is because the font height is 19 by distribution default.
However, this also results in the final two lines of the splash screen
-- "If an Emacs session crashed recently, type Meta-x recover-session
RET to recover the files you were editing." -- not being visible
initially.  Maybe this sentence should come earlier.

Steve Berman